uniform vec2 ofs;
uniform vec2 lightPositionOnScreen;

uniform sampler2D 	srcTex;
varying vec2 	texcoord;

void main()
{	
 	vec2 dir = vec2( texcoord.st - lightPositionOnScreen.xy );
	//float dist=length(dir);
	//dir/=dist;
	
 	vec4 sample=texture2D(srcTex, texcoord.st);
	
	sample+=texture2D(srcTex, texcoord.st+dir*-0.1);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.08);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.05);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.03);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.02);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.01);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.008);
	sample+=texture2D(srcTex, texcoord.st+dir*-0.005);
	sample+=texture2D(srcTex, texcoord.st+dir*0.005);
	sample+=texture2D(srcTex, texcoord.st+dir*0.008);
	sample+=texture2D(srcTex, texcoord.st+dir*0.01);
	sample+=texture2D(srcTex, texcoord.st+dir*0.02);
	sample+=texture2D(srcTex, texcoord.st+dir*0.03);
	sample+=texture2D(srcTex, texcoord.st+dir*0.05);
	sample+=texture2D(srcTex, texcoord.st+dir*0.08);
	sample+=texture2D(srcTex, texcoord.st+dir*0.1);
	
	gl_FragColor.rgb = sample.rgb/17.0;
}